Subject: linking with libcygwin.a (unresolved _WinMain@16)
From: [email-masked] (Andreas Bischoff)

6 Jul 1997 07:22:28 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Original-To: [email-masked]
Original-Cc: [email-masked] (Andreas Bischoff)
X-Mailer: ELM [version 2.4 PL24]
Original-Sender: [email-masked]

Hi all,

I've got a huge project to move from Unix to NT, involving about 1000
Fortran files and 6 C files.
The C files contain all graphical X11 stuff and some system interfaces.

I bought DEC's Fortran Compiler for Windows NT, which seems to be really
fast.
My C programs I compiled with Cygnus' gcc and all the Fortran sources
with DEC's VF.
There are some minor issues with the external names, like Fortran calling
per default all uppercase, but these i can solve with special compiler
directives.

The major problem:
I tried to link everything with DEC's (Micro$oft's ?) linker , link.exe

It seems to take everything just fine BUT gives me:
libcygwin.a(libcmain.o) : error LNK2001: unresolved external symbol _WinMain@16

Anyone an idea how to solve this problem ?
Why a library needs a Main I don't understand.
Any chance to extract all .o files from libcygwin.a and rebuild it without
libcmain.o or is this idea useless ?

Regards,

	Andreas

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".